### Method

# Gtk TextViewmove_visually

#### Declaration [src]

    gboolean
    gtk_text_view_move_visually (
      GtkTextView* text_view,
      GtkTextIter* iter,
      int count
    )

#### Description [src]

Move the iterator a given number of characters visually, treating it as the strong cursor position.

If `count` is positive, then the new strong cursor position will be `count` positions to the right of the old cursor position. If `count` is negative then the new strong cursor position will be `count` positions to the left of the old cursor position.

In the presence of bi-directional text, the correspondence between logical and visual order will depend on the direction of the current run, and there may be jumps when the cursor is moved off of the end of a run.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`

  The data is owned by the caller of the method.

`count`

  Type: `int`

  Number of characters to move (negative moves left, positive moves right)

#### Return value

Type: `gboolean`

`TRUE` if `iter` moved and is not on the end iterator.